### Function

# Gimp brushes_popup

unstable since: 3.0

#### Declaration [src]

    gboolean
    gimp_brushes_popup (
      const gchar* brush_callback,
      const gchar* popup_title,
      GimpBrush* initial_brush,
      GBytes* parent_window
    )

#### Description [src]

Invokes the GIMP brush selection dialog.

Opens a dialog letting a user choose a brush.

Available since: 3.0

#### Parameters

`brush_callback`

  Type: `const gchar*`

  The callback PDB proc to call when user chooses a brush.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`popup_title`

  Type: `const gchar*`

  Title of the brush selection dialog.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`initial_brush`

  Type: `GimpBrush`

  The brush to set as the initial choice.

  The data is owned by the caller of the function.

`parent_window`

  Type: `GBytes`

  An optional parent window handle for the popup to be set transient to.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.